prop2po(1)

NAME
prop2po - simple script to convert a mozilla .properties localization file to a gettext .pot format for translation. does a line-by-line conversion...

SYNOPSIS

prop2po [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [--psyco MODE] [-P|--pot] [--duplicates DUPLICATESTYLE]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress=PROGRESS
    show progress as: dots, none, bar, names, verbose

--errorlevel=ERRORLEVEL
    show errorlevel as: none, message, exception, traceback

-iINPUT, --input=INPUT
    read from INPUT in properties format

-xEXCLUDE, --exclude=EXCLUDE
    exclude names matching EXCLUDE from input paths

-oOUTPUT, --output=OUTPUT
    write to OUTPUT in po, pot formats

-tTEMPLATE, --template=TEMPLATE
    read from TEMPLATE in properties format

--psyco=MODE
    use psyco to speed up the operation, modes: none, full, profile

-P, --pot
    output PO Templates (.pot) rather than PO files (.po)

--duplicates=DUPLICATESTYLE
    what to do with duplicate strings (identical source text): merge (default), msgid_comment, msgctxt, keep, msgid_comment_all